Subject: RE: Request for Operations Directorate Review of draft-ietf-payload-rfc4695-bis-01 by 2011-02-23

From: Bernard Aboba <[email-masked]>
Date: Sat, 26 Feb 2011 17:45:40 -0800

I reviewed the document draft-ietf-payload-rfc4695-bis in general
and for its operational impact.
 
Operations directorate reviews are solicited primarily to help the area
directors improve their efficiency, particularly when preparing for IESG
telechats, and allowing them to focus on documents requiring their attention
and spend less time on the trouble-free ones.

Improving the documents is important, but clearly a secondary purpose.
A third purpose is to broaden the OpsDir reviewers' exposure to work going
on in other parts of the IETF.
 
Reviews from OpsDir members do not in and of themselves cause the IESG to
raise issue with a document. The reviews may, however, convince individual
IESG members to raise concern over a particular document requiring further
discussion. The reviews, particularly those conducted in last call and
earlier, may also help the document editors improve their documents.
 
--
 
Review Summary: 
Intended status:  Standards Track
 
   The document provides an updated specification for the RTP 
   payload format for MIDI, suitable for applications such as
   musical performances.  The primary reason for the update was
   to address errors found in RFC 4695 by reviewers.  

Is the document readable?

Yes. 
 
Does it contain nits?

Possibly:

idnits 2.12.07:

tmp/draft-ietf-payload-rfc4695-bis-01.txt:

  Checking boilerplate required by RFC 5378 and the IETF Trust (see
  http://trustee.ietf.org/license-info):
  ----------------------------------------------------------------------------

     No issues found here.

  Checking nits according to http://www.ietf.org/id-info/1id-guidelines.txt:
  ----------------------------------------------------------------------------

     No issues found here.

  Checking nits according to http://www.ietf.org/id-info/checklist :
  ----------------------------------------------------------------------------

  -- The draft header indicates that this document obsoletes RFC4695, but the
     abstract doesn't seem to mention this, which it should.

  Miscellaneous warnings:
  ----------------------------------------------------------------------------

  -- The document date (February 8, 2011) is 19 days in the past.  Is this
     intentional?

  Checking references for intended status: Proposed Standard
  ----------------------------------------------------------------------------

     (See RFCs 3967 and 4897 for information about using normative references
     to lower-maturity documents in RFCs)

  == Unused Reference: 'RFC3986' is defined on line 7122, but no explicit
     reference was found in the text
     '[RFC3986]   Berners-Lee, T., Fielding, R., and L. Masinter, "Uniform...'

  -- Possible downref: Non-RFC (?) normative reference: ref. 'MIDI'

  -- Possible downref: Non-RFC (?) normative reference: ref. 'MPEGSA'

  -- Possible downref: Non-RFC (?) normative reference: ref. 'MPEGAUDIO'

  -- Possible downref: Non-RFC (?) normative reference: ref. 'DLS2'

  -- Possible downref: Non-RFC (?) normative reference: ref. 'RP015'

     Summary: 0 errors (**), 1 warning (==), 7 comments (--).
--------------------------------------------------------------------------------
 
Is the document class appropriate?

Yes.

Is the problem well stated?

Yes.

Is the problem really a problem?

Yes.

Does the document consider existing solutions?

Yes. The document addresses issues found in RFC 4695.  The differences are detailed in Appendix F, and there are
no operational issues raised there (it's mostly ABNF corrections for SDP session management parameters).
 
Does the solution break existing technology?

No.  This update is backward compatible with RFC 4695, other than the errors that were corrected.
 
Does the solution preclude future activity?
 
No. 
 
Is the solution sufficiently configurable?

Yes. Negotiation is taken care of by SDP.  
 
Can performance be measured? How?
 
Yes, using RTCP reporting. 
 
Does the solution scale well?

Yes. The document defines both multicast and unicast transport.  
 
Is Security Management discussed? 

Security considerations are addressed in Section 9. 
 
------------------------------------------------
Hello,
As a member of the Operations Directorate you are being asked to review
the following draft which is in IETF last call for it's operational
impact.
 
IETF Last Call:
The file can be obtained via
http://datatracker.ietf.org/doc/draft-ietf-payload-rfc4695-bis/
 
IESG discussion can be tracked via
http://datatracker.ietf.org/doc/draft-ietf-payload-rfc4695-bis/
 
Please provide comments and review to the Ops-dir mailing list
([email-masked]) before 2011-02-23, and include the authors of the
draft as well.
 
A Check-list of possible questions/topics to address in an OPS-DIR 
review may be found in Appendix A of RFC 5706.
Only include the questions that apply to your review.
 
The status of Operations Directorate Review could be found
http://trac.tools.ietf.org/area/ops/trac/wiki/Directorates
or
http://merlot.tools.ietf.org/tools/art/opsdir/index.cgi/t=4904/welcome
You could update the wiki page when you finish the review.

Thank you,
Tina
http://tinatsou.weebly.com

> > -----Original Message-----
> > From: Tina Tsou [mailto:[email-masked]] 
> > Sent: Sunday, February 20, 2011 7:16 AM
> > To: [email-masked]
> > Cc: Romascanu, Dan (Dan); [email-masked]
> > Subject: Request for Operations Directorate Review of 
> > draft-ietf-payload-rfc4695-bis-01 by 2011-02-23
> > 
> > Hello,
> > As a member of the Operations Directorate you are being asked 
> > to review the following draft which is in IETF last call for 
> > it's operational impact.
> > 
> > IETF Last Call:
> > The file can be obtained via
> > http://datatracker.ietf.org/doc/draft-ietf-payload-rfc4695-bis/
> > 
> > IESG discussion can be tracked via
> > http://datatracker.ietf.org/doc/draft-ietf-payload-rfc4695-bis/
> > 
> > 
> > Please provide comments and review to the Ops-dir mailing list
> > ([email-masked]) before 2011-02-23, and include the authors 
> > of the draft as well.
> > 
> > A Check-list of possible questions/topics to address in an 
> > OPS-DIR review may be found in Appendix A of RFC 5706.
> > Only include the questions that apply to your review.
> > 
> > The status of Operations Directorate Review could be found 
> > http://trac.tools.ietf.org/area/ops/trac/wiki/Directorates
> > or
> > http://merlot.tools.ietf.org/tools/art/opsdir/index.cgi/t=4904/welcome
> > You could update the wiki page when you finish the review.
> > 
> > 
> > Thank you,
> > Tina
> > http://tinatsou.weebly.com
> > 
> > 
> >